Loading...
Searching...
No Matches
Ogre::ParameterDef Class Reference
Core » General

`#include <OgreStringInterface.h>`

## Public Member Functions

| ParameterDef (const String &newName, const String &="", ParameterType=PT_INT)

## Public Attributes

String | name

## Detailed Description

Deprecated
  directly pass parameter name

## Constructor & Destructor Documentation

## ParameterDef()

Ogre::ParameterDef::ParameterDef | ( | const String & | newName,
|  | const String & | = "",
|  | ParameterType | = PT_INT )

inline

References name, and Ogre::PT_INT.

## Member Data Documentation

## name

String Ogre::ParameterDef::name

Referenced by ParameterDef(), and Ogre::ParamDictionary::addParameter().

The documentation for this class was generated from the following file:

- OgreStringInterface.h